LogoSignature Service
Admin APIVisual signature templates

Retrieve a visual signature template

GET
/admin/api/v3/organizations/{organizationId}/settings/visualTemplates/{templateId}

Authorization

basicAuth
AuthorizationBasic <token>

In: header

Path Parameters

organizationId*string
templateId*string

Response Body

application/json

curl -X GET "https://example.com/admin/api/v3/organizations/string/settings/visualTemplates/string"
{  "active": true,  "companyLogo": true,  "footer": true,  "header": true,  "id": "string",  "signature": true,  "signatureQuality": true,  "template": {    "dateFormat": "string",    "footers": {      "alignment": "Right",      "firstLine": {        "style": "Small",        "text": "string"      },      "secondLine": {        "style": "Small",        "text": "string"      }    },    "headers": {      "alignment": "Right",      "firstLine": {        "style": "Small",        "text": "string"      },      "secondLine": {        "style": "Small",        "text": "string"      }    },    "height": 50,    "locale": "SignatoryLocale",    "logo": {      "alignment": "Right",      "height": 10,      "image": "string",      "width": 10    },    "signature": {      "alignment": "Right",      "heightBehaviour": "Minimum",      "image": "string",      "mainLine": {        "style": "Small",        "text": "string"      },      "secondLine": {        "style": "Small",        "text": "string"      },      "signatureSource": "Text",      "thirdLine": {        "style": "Small",        "text": "string"      }    },    "signatureQuality": {      "imageAESde": "string",      "imageAESen": "string",      "imageAESfr": "string",      "imageAESit": "string",      "imageQESde": "string",      "imageQESen": "string",      "imageQESfr": "string",      "imageQESit": "string",      "imageSESde": "string",      "imageSESen": "string",      "imageSESfr": "string",      "imageSESit": "string"    },    "timeFormat": "string",    "width": 50  }}